Show / Hide Table of Contents

# Class VectorExtensions

Extension methods for vectors.

##### Inheritance

System.Object
VectorExtensions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Utility.Numerics

###### Assembly: Dalamud.dll

##### Syntax

    public static class VectorExtensions

### Methods

| Improve this Doc View Source

#### WithW(Vector4, Single)

##### Declaration

    public static Vector4 WithW(this Vector4 v, float w)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4 | v |
System.Single | w |

##### Returns

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### WithX(Vector2, Single)

##### Declaration

    public static Vector2 WithX(this Vector2 v, float x)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | v |
System.Single | x |

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### WithX(Vector3, Single)

##### Declaration

    public static Vector3 WithX(this Vector3 v, float x)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector3 | v |
System.Single | x |

##### Returns

Type | Description
--- | ---
System.Numerics.Vector3 |

| Improve this Doc View Source

#### WithX(Vector4, Single)

##### Declaration

    public static Vector4 WithX(this Vector4 v, float x)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4 | v |
System.Single | x |

##### Returns

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### WithY(Vector2, Single)

##### Declaration

    public static Vector2 WithY(this Vector2 v, float y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | v |
System.Single | y |

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### WithY(Vector3, Single)

##### Declaration

    public static Vector3 WithY(this Vector3 v, float y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector3 | v |
System.Single | y |

##### Returns

Type | Description
--- | ---
System.Numerics.Vector3 |

| Improve this Doc View Source

#### WithY(Vector4, Single)

##### Declaration

    public static Vector4 WithY(this Vector4 v, float y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4 | v |
System.Single | y |

##### Returns

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### WithZ(Vector3, Single)

##### Declaration

    public static Vector3 WithZ(this Vector3 v, float z)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector3 | v |
System.Single | z |

##### Returns

Type | Description
--- | ---
System.Numerics.Vector3 |

| Improve this Doc View Source

#### WithZ(Vector4, Single)

##### Declaration

    public static Vector4 WithZ(this Vector4 v, float z)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4 | v |
System.Single | z |

##### Returns

Type | Description
--- | ---
System.Numerics.Vector4 |